#include <stdio.h>
#include <stdlib.h>

int main()
{
    char tabla[100][100];
    int n, m;
    scanf("%d %d", &n, &m);

    for(int i = 0; i < n; ++i)
        for(int j = 0; j < m; ++j)
            scanf(" %c", &tabla[i][j]);


    printf("-1");

    return 0;
}